<?xml version="1.0"?>
<object_store type="distributed">
    <backends>
        <!-- Old data dir when datasets were stored by id <=23.1 -->
        <backend id="olddata" type="disk" store_by="id" weight="0">
            <files_dir path="{{ galaxy_root }}/datasets" />
            <extra_dir type="job_work" path="{{ galaxy_root }}/jobs" />
        </backend>
        <!-- New data dir where datasets are now stored by uuid >=23.1 -->
        <backend id="newdata" type="disk" store_by="uuid" weight="1">
            <files_dir path="{{ galaxy_root }}/datasets2" />
            <extra_dir type="temp" path="{{ galaxy_mutable_data_dir }}/tmp" />
            <extra_dir type="job_work" path="{{ galaxy_root }}/datasets2/jobs" />
        </backend>
    </backends>
</object_store>
